<?php

include_once locate_template('/inc/config.php');          // Configuration and constants
include_once locate_template('/inc/cleanup.php');         // Cleanup
include_once locate_template('/inc/helper.php');  	// Various functions
include_once locate_template('/inc/modules/vt_resize.php');
include_once locate_template('/inc/widgets.php');         // Sidebars and widgets
include_once locate_template('/inc/custom.php');          // Custom functions
include_once locate_template('/inc/theme_options.php');  	// Admin functions
include_once locate_template('/inc/gutenberg.php');  	// Admin functions
include_once locate_template('/inc/modules/sweet-custom-menu/sweet-custom-menu.php');  	// Menu
include_once locate_template('/inc/modules/mobile_detect.php');

//ADD METABOXES SUPPORT
include_once locate_template('/inc/modules/wpalchemy/metaboxes/setup.php');
//ADD METABOXES FOR SPECIAL ELEMENTS
include_once locate_template('/inc/modules/wpalchemy/metaboxes/page-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/portfolio-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/slides-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/members-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-portfolio-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-portfolio-spec-titled.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-portfolio-spec-grid.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-portfolio-acc-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-blog-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-blog-spec-masonry.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/template-full_slider-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/reg-page-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/post-spec.php');
include_once locate_template('/inc/modules/wpalchemy/metaboxes/contact-page-spec.php');

add_action('wp_enqueue_scripts', 'samba_scripts', 100);
add_action('admin_enqueue_scripts', 'samba_admin_scripts');
add_action('after_setup_theme', 'samba_setup');
add_action('wp_footer','jquery_sender');

//ENABLE SHORTCODES ON SIDEBARS
add_filter('widget_text', 'do_shortcode');

//BETTER QTRANSLATE SUPPORT
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (function_exists('qtrans_getLanguage')) {
    function qtranslate_edit_taxonomies(){
        $args=array(
            'public' => true ,
            '_builtin' => false
        );
        $output = 'object'; // or objects
        $operator = 'and'; // 'and' or 'or'

        $taxonomies = get_taxonomies($args,$output,$operator);

        if  ($taxonomies) {
            foreach ($taxonomies  as $taxonomy ) {
                add_action( $taxonomy->name.'_add_form', 'qtrans_modifyTermFormFor');
                add_action( $taxonomy->name.'_edit_form', 'qtrans_modifyTermFormFor');

            }
        }
    }
    add_action('admin_init', 'qtranslate_edit_taxonomies');
}

//CUSTOMIZE TITLE
function samba_wp_title_for_home( $title ) {
    if(empty($title) && (is_home() || is_front_page()) ) {
        if (get_bloginfo('description')!="") {
            return get_bloginfo('name').' | '.get_bloginfo('description');
        }
        else {
            return get_bloginfo('name');
        }
    }
    if (PRK_WOO=="true" && is_woocommerce() && is_product_category()) {
        return trim(str_replace('&raquo; ','',single_term_title())).' | '.get_bloginfo('name');
    }
    //DEFAULT RETURN
    return trim(str_replace('&raquo; ','',$title)).' | '.get_bloginfo('name');
}
add_filter( 'wp_title', 'samba_wp_title_for_home' );
add_theme_support('title-tag');

//JETPACK RETINA SCRIPT REMOVE
function dequeue_devicepx() {
    wp_dequeue_script( 'devicepx' );
}
add_action('wp_enqueue_scripts', 'dequeue_devicepx', 20);

//WOOCOMMERCE STUFF
if (PRK_WOO=="true") {
    add_theme_support( 'woocommerce' );
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );

    // Change number or products per row to 3
    add_filter('loop_shop_columns', 'loop_columns');
    if (!function_exists('loop_columns')) {
        function loop_columns() {
            return 3; // 3 products per row
        }
    }
    $prk_woo_options=get_option('samba_theme_options');
    if (isset($prk_woo_options['woo_cart_display']) && $prk_woo_options['woo_cart_display']!="no")
        add_filter( 'wp_nav_menu_items', 'prk_cart_menu_item', 10, 2 );
    function prk_cart_menu_item ( $items, $args ) {
        //CHANGE ONLY THE MAIN MENU
        if( $args->theme_location == 'top_right_navigation' ) {
            global $woocommerce;
            $cart_url = wc_get_cart_url();
            if ($cart_url=="")
                $cart_url="#";
            $cart_contents_count = $woocommerce->cart->cart_contents_count;
            $cart_contents = sprintf(_n('%d ITEM', '%d ITEMS', $cart_contents_count, 'samba'), $cart_contents_count);
            $cart_total = $woocommerce->cart->get_cart_total();
            $prk_woo_options=get_option('samba_theme_options');
            if ($cart_contents_count > 0 || (isset($prk_woo_options['woo_cart_always_display']) && $prk_woo_options['woo_cart_always_display']=="yes"))
            {
                $items .= '<li id="prk_hidden_cart"><a href="#">';
                $woo_classes="";
                $items .= '<div class="prk_cart_label '.$woo_classes.'">';
                if (isset($prk_woo_options['woo_cart_info']) && $prk_woo_options['woo_cart_info']=="items")
                    $items .= $cart_contents;
                if (isset($prk_woo_options['woo_cart_info']) && $prk_woo_options['woo_cart_info']=="price")
                    $items .= $cart_total;
                if (isset($prk_woo_options['woo_cart_info']) && $prk_woo_options['woo_cart_info']=="both")
                    $items .= $cart_contents.' - '. $cart_total;
                $items .='</div></a></li>';
            }
            return $items;
        }
        else
        {
            //RETURN THE DEFAULT MENU
            return $items;
        }
    }
}

if (!function_exists('samba_output')) {
    function samba_output() {
        return;
    }
}

//WPBAKERY PAGE BUILDER STUFF
if (PRK_COMPOSER=="true") {

    function prk_vc_disable_update() {
        if (function_exists('vc_license') && function_exists('vc_updater') && ! vc_license()->isActivated()) {
            remove_filter( 'upgrader_pre_download', array( vc_updater(), 'preUpgradeFilter' ), 10);
            remove_filter( 'pre_set_site_transient_update_plugins', array(
                vc_updater()->updateManager(),
                'check_update'
            ) );
        }
    }
    add_action( 'admin_init', 'prk_vc_disable_update', 9 );

    add_filter('wpb_widget_title', 'override_widget_title', 10, 2);
    function override_widget_title($output = '', $params = array('')) {
        $extraclass = (isset($params['extraclass'])) ? " ".$params['extraclass'] : "";
        return '<div class="prk_shortcode-title"><div class="header_font sizer_small bd_headings_text_shadow zero_color '.$extraclass.'">'.$params['title'].'</div></div>';
    }


    if (!function_exists('samba_integrateWithVC')) {
        function samba_integrateWithVC() {
            return;
        }
    }
    add_action( 'vc_before_init', 'samba_integrateWithVC' );
}

add_action ('wp_loaded', 'samba_custom_redirect');
function samba_custom_redirect() {
    if (isset($_GET["prk_act_activate"]) && strlen($_GET["prk_act_activate"])==36) {
        update_option('samba_prk_one', $_GET["prk_act_activate"]);
        if ($_GET["page"]=='samba-install-required-plugins') {
            wp_redirect(admin_url('themes.php?page=install-required-plugins'));
        }
        else {
            wp_redirect(admin_url('themes.php?page=theme_activation_options'));
        }
        exit;
    }
}

if (!function_exists('samba_validate_key')) {
    function samba_validate_key() {
        if (get_option('samba_prk_one')=="") {
            add_option( 'samba_prk_one', 'off', '', 'yes' );
        }
        if (get_option('samba_prk_one')=='off') {
            return false;
        }
        else {
            return true;
        }
    }
}

//REDIRECT TO LICENSE ACTIVATION PAGE AFTER THE THEME IS ACTIVATED
add_action('after_switch_theme', 'samba_welcome_page');
function samba_welcome_page () {
    if (!samba_validate_key()) {
        wp_redirect(admin_url('themes.php?page=samba-install-required-plugins'));
    }
}

if (!function_exists('samba_output_keyform')) {
    function samba_output_keyform() {
        $samba_theme=wp_get_theme();
        ?>
        <form id="pirenko_verify_form" class="themed" method="post" data-path="<?php echo get_home_url(); ?>" data-admin="<?php echo admin_url('themes.php?page=samba-install-required-plugins&prk_act_activate='); ?>" data-theme="<?php echo SAMBA_THEME_ID; ?>">
            <div class="pirenko_verify_purchase">
                <div class="spinner"></div>
                <input id="pirenko_purchase_key" type="text" name="pirenko_purchase_key" value="" /><br />
                <input type="submit" value="<?php echo esc_attr__( 'Validate Purchase Code', 'samba'); ?>" class="button button-primary button-large" />
            </div>
            <div id="pirenko_verify_form-output">
                <p>You can purchase a <?php echo esc_attr($samba_theme->get('Name').' - '.$samba_theme->get('Description')); ?> license <a href="https://themeforest.net/cart/configure_before_adding/<?php echo SAMBA_THEME_ID; ?>?license=regular&ref=Pirenko&size=source&support=bundle_6month" target="_blank">here</a>.</p>
            </div>
        </form>
        <?php
    }
}

if (samba_validate_key()) {
    add_action('admin_menu', 'samba_temp_menu');
    function samba_temp_menu() {
        add_theme_page('Install Plugins Page', 'Install Plugins', 'edit_theme_options', 'samba-install-required-plugins', 'samba_license_function');
    }
    function samba_license_function() {
        $samba_theme=wp_get_theme();
        ?>
        <div class="wrap"></div>
        <div class="prk_wrap">
            <div id="lic_wrapper" class="left_floated">
                <div id="lic_left_column" class="left_floated"></div>
                <div id="lic_right_column" class="left_floated">
                    <h2 class="pirenko_import_title"><?php echo esc_attr($samba_theme->get('Name').' '.__('Theme - Install Bundled Plugins', 'samba')); ?></h2>
                    <em>To acess this feature you need to enter the theme Purchase Code.</em>
                    <?php
                    $output_footer=false;
                    if (isset($_GET["prk_act_activate"])) {
                        echo '<div id="prk_activate_message">';
                        echo '</div>';
                    }
                    else {
                        samba_output_keyform();
                        $output_footer=true;
                    }
                    ?>
                </div>
            </div>
            <div class="clear"></div>
            <?php
            if ($output_footer==true) {
                ?>
                <div class="clear bt_48"></div>
                <em>If you already have a license, please head to <a href="https://themeforest.net/downloads?ref=Pirenko" target="_blank">themeforest.net</a> and here's how to get it in 3 easy steps:</em>
                <div class="clear bt_6"></div>
                <img id="prk_license_img" src="<?php echo get_template_directory_uri(); ?>/images/license.jpg" />
                <?php
            }
            ?>
        </div>
        <?php
    }
}
else {

    /**
     * Include the TGM_Plugin_Activation class.
     */
    require_once dirname( __FILE__ ) . '/inc/modules/tgm-plugin-activation/class-tgm-plugin-activation.php';

    add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
    /* Register the required plugins for this theme. */
    function my_theme_register_required_plugins() {

        $plugins = array(
            array(
                'name'     				=> 'Samba Framework',
                'slug'     				=> 'samba_framework',
                'source'                => get_template_directory() . '/external_plugins/samba_framework.zip', 
                'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
                'version' 				=> '7.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'                  => 'WPBakery Page Builder',
                'slug'                  => 'js_composer',
                'source'                => get_template_directory() . '/external_plugins/js_composer.zip', 
                'required'              => true, // If false, the plugin is only 'recommended' instead of required
                'version'               => '5.6', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'          => '', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'                  => esc_html__('One Click Demo Import','samba'),
                'slug'                  => 'one-click-demo-import',
                'required'              => true,
                'version'               => '2.5.1',
                'force_activation'      => false,
                'force_deactivation'    => false,
                'external_url'          => 'https://wordpress.org/plugins/one-click-demo-import/',
            ),
            array(
                'name'                  => esc_html__('Envato Market - Useful to keep the theme updated','samba'),
                'slug'                  => 'envato-market',
                'source'                => get_template_directory() . '/external_plugins/envato-market.zip',
                'required'              => false,
                'version'               => '2.0.1',
                'force_activation'      => false,
                'force_deactivation'    => false,
                'external_url'          => '',
            ),
        );
        $config = array(
            'domain'       		=> 'samba',         	// Text domain - likely want to be the same as your theme.
            'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
            'menu'         		=> 'install-required-plugins', 	// Menu slug
            'has_notices'      	=> true,                       	// Show admin notices or not
            'is_automatic'    	=> true,					   	// Automatically activate plugins after installation or not
            'message' 			=> '',							// Message to output right before the plugins table
            'strings'      		=> array(
                'page_title'                                => esc_html__( 'Install Required Plugins','samba'),
                'menu_title'                                => esc_html__( 'Install / Update Plugins','samba'),
                'installing'                                => esc_html__( 'Installing Plugin: %s','samba'),
                'oops'                                      => esc_html__( 'Something went wrong with the plugin API.','samba'),
                'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' , 'samba'),
                'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'samba' ),
                'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'samba'),
                'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'samba' ),
                'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'samba' ),
                'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' , 'samba'),
                'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'samba' ),
                'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' , 'samba'),
                'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'samba' ),
                'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'samba' ),
                'return'                                    => esc_html__( 'Return to Required Plugins Installer','samba'),
                'plugin_activated'                          => esc_html__( 'Plugin activated successfully.','samba'),
                'complete'                                  => esc_html__( 'All plugins installed and activated successfully. %s','samba'),
                'nag_type' 								=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
            )
        );
        tgmpa( $plugins, $config );
    }
}

?>