<?php
/**
 * Custom Walker
 *
 * @access      public
 * @since       1.0 
 * @return      void
*/
class rc_scm_walker extends Walker_Nav_Menu
{
      function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0)
      {
          global $prk_samba_frontend_options;
           global $wp_query;
           $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

           $class_names = $value = '';

           $classes = empty( $item->classes ) ? array() : (array) $item->classes;

           $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
           if (!empty( $item->icon )) {
               $class_names = ' class="samba_iconized '. esc_attr( $class_names ) . '"';
           }
           else {
               $class_names = ' class="'. esc_attr( $class_names ) . '"';
           }

           $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

           $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
           $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
           $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
           $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : 'href="#"';
           $attributes .= ! empty( $item->subtitle )   ? ' data-color="'  . esc_attr( $item->subtitle  ) .'"' : '';

           $prepend = '';
           $append = '';
           $description  = ! empty( $item->description ) ? '<span>'.esc_attr( $item->description ).'</span>' : '';

           if($depth != 0)
           {
	           $description = "";
           }
            $already=true;
            $item_output = $args->before;
            $item_output .= '<a'. $attributes .'>';
            if (!empty($item->icon)) {
                if (isset($prk_samba_frontend_options['menu_align']) && $prk_samba_frontend_options['menu_align']!='samba_right_align') {
                    $prepend='<i class="'.esc_attr($item->icon).'"></i>';
                }
                else {
                    $append='<i class="'.esc_attr($item->icon).'"></i>';
                }
            }
            if (!empty( $item->attr_title )) {
              if (isset($prk_samba_frontend_options['menu_align']) && $prk_samba_frontend_options['menu_align']=='samba_right_align') {
                $already=false;
                $item_output.='<span class="samba_viewie">'.esc_attr( $item->attr_title ).'</span>';
              }
            }
            $item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
            $item_output .= $description.$args->link_after;
            if (!empty( $item->attr_title ) && $already) {
              if (isset($prk_samba_frontend_options['menu_align']) && $prk_samba_frontend_options['menu_align']=='samba_left_align') {
                $item_output.='<span class="samba_viewie">'.esc_attr( $item->attr_title ).'</span>';
              }
            }
            $item_output .= '</a>';
            $item_output .= $args->after;

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
            }
}