<?php

if (!function_exists('samba_integrateWithVC')) {
    function samba_integrateWithVC() {
        if (function_exists('vc_set_as_theme')) {
            vc_set_as_theme(true);
        }
        /* Custom Options Arrays ----------------------------------------------------- */

        $pirenko_colors_arr = array(__("Theme Button", 'samba') => "theme_button",__("Theme Button - Inverted Colors", 'samba') => "theme_button_inverted",__("Grey", 'samba') => "wpb_button", __("Blue", 'samba') => "btn-primary", __("Turquoise", 'samba') => "btn-info", __("Green", 'samba') => "btn-success", __("Orange", 'samba') => "btn-warning", __("Red", 'samba') => "btn-danger", __("Black", 'samba') => "btn-inverse");
        $yes_no_arr = array(__('Yes', 'samba') => "yes",__('No', 'samba') => "no");
        $target_arr = array(__("Same window", 'samba') => "_self", __("New window", 'samba') => "_blank");
        $add_css_animation = array(
            "type" => "dropdown",
            "heading" => __("CSS Animation", 'samba'),
            "param_name" => "css_animation",
            "admin_label" => true,
            "value" => array(
                __("No", 'samba') => '',
                __("Top to bottom", 'samba') => "top-to-bottom",
                __("Bottom to top", 'samba') => "bottom-to-top",
                __("Left to right", 'samba') => "left-to-right",
                __("Right to left", 'samba') => "right-to-left",
                __("Appear from center", 'samba') => "appear"
            ),
            "description" => __("Select animation type if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", 'samba'),
            "weight" => "-60",
        );
        $add_el_class= array(
            "type" => "textfield",
            'heading' => __( 'Extra CSS class name', 'samba' ),
            "param_name" => "el_class",
            "value"=> "",
            "description" => "",
            "weight" => "-70",
        );
        $size_arr = array(__("Regular size", 'samba') => "wpb_regularsize", __("Large", 'samba') => "btn-large", __("Small", 'samba') => "btn-small", __("Mini", 'samba') => "btn-mini");
        $icons_arr = array(
            __("None", 'samba') => "none",
            __("Address book icon", 'samba') => "wpb_address_book",
            __("Alarm clock icon", 'samba') => "wpb_alarm_clock",
            __("Anchor icon", 'samba') => "wpb_anchor",
            __("Application Image icon", 'samba') => "wpb_application_image",
            __("Arrow icon", 'samba') => "wpb_arrow",
            __("Asterisk icon", 'samba') => "wpb_asterisk",
            __("Hammer icon", 'samba') => "wpb_hammer",
            __("Balloon icon", 'samba') => "wpb_balloon",
            __("Balloon Buzz icon", 'samba') => "wpb_balloon_buzz",
            __("Balloon Facebook icon", 'samba') => "wpb_balloon_facebook",
            __("Balloon Twitter icon", 'samba') => "wpb_balloon_twitter",
            __("Battery icon", 'samba') => "wpb_battery",
            __("Binocular icon", 'samba') => "wpb_binocular",
            __("Document Excel icon", 'samba') => "wpb_document_excel",
            __("Document Image icon", 'samba') => "wpb_document_image",
            __("Document Music icon", 'samba') => "wpb_document_music",
            __("Document Office icon", 'samba') => "wpb_document_office",
            __("Document PDF icon", 'samba') => "wpb_document_pdf",
            __("Document Powerpoint icon", 'samba') => "wpb_document_powerpoint",
            __("Document Word icon", 'samba') => "wpb_document_word",
            __("Bookmark icon", 'samba') => "wpb_bookmark",
            __("Camcorder icon", 'samba') => "wpb_camcorder",
            __("Camera icon", 'samba') => "wpb_camera",
            __("Chart icon", 'samba') => "wpb_chart",
            __("Chart pie icon", 'samba') => "wpb_chart_pie",
            __("Clock icon", 'samba') => "wpb_clock",
            __("Fire icon", 'samba') => "wpb_fire",
            __("Heart icon", 'samba') => "wpb_heart",
            __("Mail icon", 'samba') => "wpb_mail",
            __("Play icon", 'samba') => "wpb_play",
            __("Shield icon", 'samba') => "wpb_shield",
            __("Video icon", 'samba') => "wpb_video"
        );
        $add_css_hide = array(
            'type' => 'checkbox',
            'heading' => __( 'Hide on smaller screens:', 'samba' ),
            'param_name' => 'hide_with_css',
            'admin_label' => true,
            'group' => __( 'Viewports', 'samba' ),
            'value' => array(
                __("Screens with less than 768px wide<br>", 'samba') => 'hide_later',
                __("Screens with less than 480px wide", 'samba') => 'hide_much_later',
            ),
            'description' => __( 'Tick the screen sizes on wich this element should be hidden.', 'samba' )
        );
        $prk_samba_opts=get_option('samba_theme_options');
        if (!isset($prk_samba_opts['samba_light_vc']) || (isset($prk_samba_opts['samba_light_vc']) && ($prk_samba_opts['samba_light_vc']=="yes" || $prk_samba_opts['samba_light_vc']==""))) {
            /* Page Elements Removal ----------------------------------------------------- */
            vc_remove_element("vc_images_carousel");
            vc_remove_element("vc_toggle");
            vc_remove_element("vc_teaser_grid");
            vc_remove_element("vc_posts_grid");
            vc_remove_element("vc_twitter");
            vc_remove_element("vc_posts_slider");
            vc_remove_element("vc_pie");
            vc_remove_element("vc_carousel");
            //vc_remove_element("vc_cta_button");
            vc_remove_element("vc_cta_button2");
            vc_remove_element("vc_gallery");
            vc_remove_element("vc_icon");
            vc_remove_element("vc_tta_pageable");
            vc_remove_element("vc_round_chart");
            vc_remove_element("vc_line_chart");
            vc_remove_element("vc_empty_space");
            vc_remove_element("vc_custom_heading");
            vc_remove_element("vc_btn");
            vc_remove_element("vc_cta");
            vc_remove_element("vc_basic_grid");
            vc_remove_element("vc_media_grid");
            vc_remove_element("vc_masonry_grid");
            vc_remove_element("vc_masonry_media_grid");
            vc_remove_element("vc_basic_grid");
            vc_remove_element("vc_zigzag");
            vc_remove_element("vc_hoverbox");


            /* Row Overrides ----------------------------------------------------- */
            vc_remove_param('vc_row', 'parallax_speed_video');
            vc_remove_param('vc_row', 'parallax_speed_bg');
            vc_remove_param('vc_row', 'columns_placement');
            vc_remove_param('vc_row', 'el_id');
            vc_remove_param('vc_row', 'gap');
            vc_remove_param('vc_row', 'equal_height');
            vc_remove_param('vc_row', 'full_width');
            vc_remove_param('vc_row', 'full_height');
            vc_remove_param('vc_row', 'video_bg');
            vc_remove_param('vc_row', 'parallax');
            vc_remove_param('vc_row', 'content_placement');
            vc_remove_param('vc_row', 'video_bg_url');
            vc_remove_param('vc_row', 'video_bg_parallax');
            vc_remove_param('vc_row', 'parallax_image');
            vc_remove_param('vc_row', 'font_color');
            vc_remove_param('vc_row', 'el_class');
            vc_remove_param('vc_row', 'css');

            vc_add_param("vc_row", array(
                "type" => "textfield",
                "heading" => __('Row ID', 'samba'),
                "param_name" => "anchor_id",
                "description" => __("Enter optional row ID. Make sure it is unique, and it is valid as w3c specification", 'samba')
            ));
            vc_add_param("vc_row", array(
                "type" => "dropdown",
                "heading" => __("Row type", 'samba'),
                "param_name" => "bk_type",
                "value" => array(
                    __("Boxed look", 'samba') => "boxed_look",
                    __("Full width", 'samba') => "full_width"),
                "description" => __("Full width should be only used on Pages with Sections", 'samba')
            ));
            vc_add_param("vc_row", array(
                "type" => "dropdown",
                "heading" => esc_html__("Row Height", 'samba'),
                "param_name" => "row_height",
                "value" => array(
                    esc_html__("Regular", 'samba') => '',
                    esc_html__("Specify height", 'samba') => 'samba_fixed_height',
                    esc_html__("Force 100% - content vertically aligned with top", 'samba') => 'forced_row top_forced_row',
                    esc_html__('Force 100% - content vertically centered', 'samba') => 'forced_row vertical_forced_row',
                    esc_html__('Force 100% - content vertically aligned with bottom', 'samba') => 'forced_row bottom_forced_row',
                ),
                "description" => esc_html__("", 'samba'),
            ));
            vc_add_param("vc_row", array(
                "type" => "textfield",
                "heading" => esc_html__("Row height", 'samba'),
                "param_name" => "row_fixed",
                "value" => '',
                "description" => "Example: 500.",
                "dependency" => Array('element' => "row_height", 'value' => array('samba_fixed_height'))
            ));
            vc_add_param("vc_row", array(
                "type" => "textfield",
                "heading" => __('Bottom margin', 'samba'),
                "param_name" => "margin_bottom",
                "description" => __("You can use px, em, %, etc. or enter just number and pixels will be used. ", 'samba')
            ));
            vc_add_param("vc_row", array(
                "type" => "dropdown",
                "heading" => __("Background type", 'samba'),
                "param_name" => "bk_element",
                "value" => array(
                    __("Transparent", 'samba') => '',
                    __("Solid Color", 'samba') => 'colored',
                    __('Pattern', 'samba') => 'pattern',
                    __('Image', 'samba') => 'image',
                ),
                "description" => __("", 'samba'),
            ));
            vc_add_param("vc_row", array(
                "type" => "colorpicker",
                "heading" => __("Custom Background Color", 'samba'),
                "param_name" => "bg_color",
                "description" => __("Select backgound color for your row", 'samba'),
                "dependency" => Array('element' => "bk_element", 'value' => 'colored')
            ));
            vc_add_param("vc_row", array(
                "type" => "attach_image",
                "heading" => __('Background image', 'samba'),
                "param_name" => "bg_image",
                "description" => __("Select background image for your row", 'samba'),
                "dependency" => Array('element' => "bk_element", 'value' => 'image')
            ));
            vc_add_param("vc_row", array(
                "type" => "dropdown",
                "heading" => __('Background image behavior', 'samba'),
                "param_name" => "bg_image_repeat",
                "value" => array(
                    __("Default", 'samba') => '',
                    __("Cover - background image aligned with top", 'samba') => 'samba_cover_top',
                    __("Cover - background image centered", 'samba') => 'samba_cover',
                    __("Cover - background image aligned with bottom", 'samba') => 'samba_cover_bottom',
                    __('Cover with parallax effect', 'samba') => 'samba_with_parallax',
                    __('Contain', 'samba') => 'contain'
                ),
                "description" => __("Select how a background image will be repeated", 'samba'),
                "dependency" => Array('element' => "bk_element", 'value' => 'image')
            ));
            vc_add_param("vc_row",array(
                "type" => "dropdown",
                "heading" => __("Background pattern", 'samba'),
                "param_name" => "bk_pattern",
                "value" => array(
                    __('None', 'samba') => "",
                    __('Bedge Grunge', 'samba') => "bedge_grunge.png",
                    __('Bullseyes', 'samba') => "strange_bullseyes.png",
                    __('Cream Pixels','samba') =>'cream_pixels.png',
                    __('Concrete', 'samba') =>'concrete_wall_2.png',
                    __('Cross Scratches', 'samba') =>'cross_scratches.png',
                    __('Diagonal Noise', 'samba') =>'diagonal-noise.png',
                    __('Dotted Grey', 'samba') =>'grey.jpg',
                    __('Grey Squares', 'samba') =>'first_aid_kit.png',
                    __('Grid Noise', 'samba') =>'grid_noise.png',
                    __('Light Honeycomb', 'samba') =>'light_honeycomb.png',
                    __('Ligh Mesh', 'samba') =>'lghtmesh.png',
                    __('Noise Lines', 'samba') =>'noise_lines.png',
                    __('Paper Fibers', 'samba') =>'lightpaperfibers.png',
                    __('Rough Diagonal', 'samba') =>'rough_diagonal.png',
                    __('Seamless Grid', 'samba') =>'grid.png',
                    __('Seamless White', 'samba') =>'chruch.png',
                    __('Simple White', 'samba') =>'whitey.png',
                    __('Squared Seamless', 'samba') =>'farmer.png',
                    __('Subtle Dots', 'samba') =>'subtle_dots.png',
                    __('Stacked Circles', 'samba') =>'stacked_circles.png',
                    __('Textured Grey', 'samba') =>'texturetastic_gray.png',
                    __('Tiny Grid', 'samba') =>'tiny_grid.png',
                    __('Vintage', 'samba') =>'vintage_speckles.png',
                    __('White Leather', 'samba') =>'white_leather.png',
                    __('White Texture', 'samba') =>'white_texture.png',
                    __('Black Leather', 'samba') =>'black_leather.png',
                    __('Black Linen', 'samba') =>'black-linen.png',
                    __('Black Paper', 'samba') =>'black_paper.png',
                    __('Broken Noise', 'samba') =>'broken_noise.png',
                    __('Cartographer', 'samba') =>'cartographer.png',
                    __('Classy Fabric', 'samba') =>'classy_fabric.png',
                    __('Criss Cross', 'samba') =>'crissxcross.png',
                    __('Dark Denim', 'samba') =>'darkdenim.png',
                    __('Dark Metal', 'samba') =>'hixs_pattern_evolution.png',
                    __('Dark Mosaic', 'samba') =>'dark_mosaic.png',
                    __('Dark Noisy Net', 'samba') =>'noisy_net.png',
                    __('Dark Pin Stripes', 'samba') =>'pinstriped_suit.png',
                    __('Dark Stripes', 'samba') =>'dark_stripes.png',
                    __('Dark Tyre', 'samba') =>'dark_tire.png',
                    __('Debut Dark', 'samba') =>'debut_dark.png',
                    __('Fake Fabric', 'samba') =>'fake_brick.png',
                    __('Iron Grip', 'samba') =>'irongrip.png',
                    __('Navy Blue', 'samba') =>'navy_blue.png',
                    __('Outlets', 'samba') =>'outlets.png',
                    __('Padded', 'samba') =>'padded.png',
                    __('Moulin', 'samba') =>'moulin.png',
                    __('Seamless Dark', 'samba') =>'nami.png',
                    __('Simple Dashed', 'samba') =>'simple_dashed.png',
                    __('Stressed Linen', 'samba') =>'stressed_linen.png',
                    __('Tiny Squares', 'samba') =>'px.png',
                    __('Typographic', 'samba') =>'type.png',
                    __('Vertical Cloth', 'samba') =>'vertical_cloth.png',
                    __('Wood - Dark', 'samba') =>'dark_wood.png',
                    __('Wood - Yellowish', 'samba') =>'retina_wood.png',
                    __('Wood - Yellow', 'samba') =>'purty_wood.png',
                    __('Wood - Textured', 'samba') =>'wood_texture.png',
                    __('Blue', 'samba') =>'blu_stripes.png',
                    __('Blue Variations', 'samba') =>'random_grey_variations.png',
                    __('Green - Vintage', 'samba') =>'green_dust_scratch.png',
                    __('Shattered', 'samba') =>'shattered.png',
                    __('Shattered', 'samba') =>'shattered.jpg',
                    __('Play Pattern', 'samba') =>'gplaypattern.png'),
                "description" => __("Optional - Will override background color<span class='prk_theme_url' style='display:none;'>".get_template_directory_uri()."</span>", 'samba'),
                "dependency" => Array('element' => "bk_element", 'value' => 'pattern')
            ));
            vc_add_param("vc_row", array(
                "type" => "dropdown",
                "heading" => __("Text alignment", 'samba'),
                "param_name" => "align",
                "value" => array("Left","Center","Right"),
                "description" => __("Can be overriden by individual elements settings", 'samba')
            ));
            vc_add_param("vc_row", array(
                "type" => "colorpicker",
                "holder" => "div",
                "class" => "",
                "heading" => __("Text color", 'samba'),
                "param_name" => "font_color",
                "value" => __("", 'samba'),
                "description" => __("Optional", 'samba')
            ));
            vc_add_param("vc_row", $add_css_animation);
            vc_add_param("vc_row", $add_el_class);
            vc_add_param("vc_row", $add_css_hide);

            vc_remove_param('vc_row_inner', 'css');
            vc_remove_param('vc_row_inner', 'content_placement');
            vc_remove_param('vc_row_inner', 'columns_placement');
            vc_remove_param('vc_row_inner', 'gap');
            vc_remove_param('vc_row_inner', 'equal_height');
            vc_remove_param('vc_row_inner', 'el_id');


            /* Column Overrides ----------------------------------------------------- */
            vc_remove_param('vc_column', 'font_color');
            vc_remove_param('vc_column', 'css');
            vc_remove_param('vc_column', 'el_class');
            vc_remove_param('vc_column', 'width');
            vc_remove_param('vc_column', 'offset');
            vc_remove_param('vc_column', 'video_bg');
            vc_remove_param('vc_column', 'video_bg_url');
            vc_remove_param('vc_column', 'video_bg_parallax');
            vc_remove_param('vc_column', 'parallax');
            vc_remove_param('vc_column', 'parallax_image');
            vc_remove_param('vc_column', 'video_bg_parallax');
            vc_remove_param('vc_column', 'parallax_speed_video');
            vc_remove_param('vc_column', 'parallax_speed_bg');

            vc_add_param("vc_column", $add_css_animation);
            vc_add_param("vc_column", $add_el_class);

            /* Inner Column Overrides ----------------------------------------------------- */
            vc_remove_param('vc_column_inner', 'font_color');
            vc_remove_param('vc_column_inner', 'css');
            vc_remove_param('vc_column_inner', 'el_class');
            vc_remove_param('vc_column_inner', 'width');
            vc_remove_param('vc_column_inner', 'offset');

            vc_add_param("vc_column_inner", $add_css_animation);
            vc_add_param("vc_column_inner", $add_el_class);

            /* Text Block Overrides ----------------------------------------------------- */
            //vc_remove_param('vc_column_text', 'el_class');
            //vc_remove_param('vc_column_text', 'css');
            vc_add_param("vc_column_text", $add_css_animation);
            /*vc_add_param("vc_column_text", array(
                "type" => "textfield",
                'heading' => __( 'Extra class name', 'samba' ),
                "param_name" => "el_class",
                "value"=> "",
                "description" => ""
            ));*/

            /* Separator Overrides ----------------------------------------------------- */
            vc_remove_param('vc_separator', 'css');

            /* Text Separator Overrides ----------------------------------------------------- */
            vc_remove_param('vc_text_separator', 'css');

            /* Design Options Removal - multiple elements ----------------------------------------------------- */
            vc_remove_param('vc_facebook', 'css');
            vc_remove_param('vc_tweetme', 'css');
            vc_remove_param('vc_pinterest', 'css');
            vc_remove_param('vc_googleplus', 'css');
            vc_remove_param('vc_video', 'css');
            vc_remove_param('vc_raw_html', 'css');
            vc_remove_param('vc_flickr', 'css');
            vc_remove_param('vc_flickr', 'css');
            vc_remove_param('vc_flickr', 'css');
            vc_remove_param('vc_flickr', 'css');

            /* Message Box Overrides ----------------------------------------------------- */
            vc_remove_param('vc_message', 'el_class');
            vc_remove_param('vc_message', 'css');
            vc_remove_param('vc_message', 'message_box_style');
            vc_remove_param('vc_message', 'message_box_color');
            vc_remove_param('vc_message', 'color');
            vc_remove_param('vc_message', 'icon_type');
            vc_remove_param('vc_message', 'icon_fontawesome');
            vc_remove_param('vc_message', 'icon_openiconic');
            vc_remove_param('vc_message', 'icon_typicons');
            vc_remove_param('vc_message', 'icon_entypo');
            vc_remove_param('vc_message', 'icon_linecons');
            vc_remove_param('vc_message', 'icon_pixelicons');
            vc_remove_param('vc_message', 'style');

            vc_add_param("vc_message", array(
                "type" => "dropdown",
                "class" => "",
                "heading" => __("Style","pulse_lang"),
                "param_name" => "message_box_color",
                "value" => array(
                    __('Info', 'samba') => "info",
                    __('Warning', 'samba') => "warning",
                    __('Danger', 'samba') => "danger",
                    __('Success', 'samba') => "success",
                ),
                "description" => __("Set up a font face according to the theme options","pulse_lang")
            ));
            vc_add_param("vc_message", array(
                'type' => 'dropdown',
                'heading' => __( 'Shape', 'samba' ),
                'param_name' => 'style', // due to backward compatibility message_box_shape
                'std' => 'rounded',
                'value' => array(
                    __( 'Square', 'samba' ) => 'square',
                    __( 'Rounded', 'samba' ) => 'rounded',
                    __( 'Round', 'samba' ) => 'round',
                ),
                'description' => __( 'Select message box shape.', 'samba' ),
            ));
            vc_add_param("vc_message", $add_css_animation);
            vc_add_param("vc_message", $add_el_class);

            /* Single Image Overrides ----------------------------------------------------- */
            vc_remove_param('vc_single_image', 'add_caption');
            vc_remove_param('vc_single_image', 'style');
            vc_remove_param('vc_single_image', 'onclick');
            vc_remove_param('vc_single_image', 'link');
            vc_remove_param('vc_single_image', 'img_link_target');
            vc_remove_param('vc_single_image', 'border_color');
            vc_remove_param('vc_single_image', 'el_class');
            vc_remove_param('vc_single_image', 'css');

            vc_add_param("vc_single_image", array(
                'type' => 'dropdown',
                'heading' => __( 'On click action', 'samba' ),
                'param_name' => 'onclick', // due to backward compatibility message_box_shape
                'value' => array(
                    __( 'None', 'samba' ) => '',
                    __( 'Open lightbox', 'samba' ) => 'img_link_large',
                    __( 'Open custom link', 'samba' ) => 'custom_link',
                ),
                'description' => __( '', 'samba' ),
                "weight" => "-10",
            ));
            vc_add_param("vc_single_image", array(
                'type' => 'href',
                'heading' => __( 'Image link', 'samba' ),
                'param_name' => 'link',
                'description' => __( 'Enter URL if you want this image to have a link (Note: parameters like "mailto:" are also accepted).', 'samba' ),
                'dependency' => array(
                    'element' => 'onclick',
                    'value' => 'custom_link',
                )
            ));
            vc_add_param("vc_single_image", array(
                'type' => 'dropdown',
                'heading' => __( 'Link Target', 'samba' ),
                'param_name' => 'img_link_target',
                'value' => $target_arr,
                'dependency' => array(
                    'element' => 'onclick',
                    'value' => array( 'custom_link' ),
                ),
            ));

            vc_add_param("vc_single_image", $add_css_animation);
            vc_add_param("vc_single_image", $add_el_class);

            /* Tabs Overrides ---------------------------------------------------------- */
            vc_remove_param('vc_tta_tabs', 'style');
            vc_remove_param('vc_tta_tabs', 'shape');
            vc_remove_param('vc_tta_tabs', 'color');
            vc_remove_param('vc_tta_tabs', 'gap');
            vc_remove_param('vc_tta_tabs', 'spacing');
            vc_remove_param('vc_tta_tabs', 'pagination_style');
            vc_remove_param('vc_tta_tabs', 'pagination_color');
            //vc_remove_param('vc_tta_tabs', 'css');

            vc_remove_param('vc_tta_section', 'i_type');
            vc_add_param("vc_tta_section", array(
                'type' => 'dropdown',
                'heading' => __( 'Icon library', 'samba' ),
                'value' => array(
                    __( 'Font Awesome', 'samba' ) => 'fontawesome',
                ),
                'admin_label' => false,
                'param_name' => 'i_type',
                'description' => __( 'Select icon library.', 'samba' ),
            ));

            /* Accordion Overrides ---------------------------------------------------------- */
            vc_remove_param('vc_tta_accordion', 'style');
            vc_remove_param('vc_tta_accordion', 'shape');
            vc_remove_param('vc_tta_accordion', 'color');
            vc_remove_param('vc_tta_accordion', 'gap');
            vc_remove_param('vc_tta_accordion', 'c_icon');
            vc_remove_param('vc_tta_accordion', 'c_position');
            vc_remove_param('vc_tta_accordion', 'spacing');
            vc_remove_param('vc_tta_accordion', 'pagination_style');
            vc_remove_param('vc_tta_accordion', 'pagination_color');
            vc_remove_param('vc_tta_accordion', 'el_class');
            vc_add_param("vc_tta_accordion", array(
                'type' => 'dropdown',
                'param_name' => 'c_icon',
                'value' => array(
                    __( 'None', 'samba' ) => '',
                    __( 'Chevron', 'samba' ) => 'chevron',
                    //__( 'Plus', 'samba' ) => 'plus',
                    //__( 'Triangle', 'samba' ) => 'triangle',
                ),
                'std' => 'chevron',
                'heading' => __( 'Icon', 'samba' ),
                'description' => __( 'Select accordion navigation icon.', 'samba' ),
            ));

            vc_add_param("vc_tta_accordion", $add_el_class);

            /* Tour Overrides ---------------------------------------------------------- */
            vc_remove_param('vc_tta_tour', 'style');
            vc_remove_param('vc_tta_tour', 'shape');
            vc_remove_param('vc_tta_tour', 'color');
            vc_remove_param('vc_tta_tour', 'gap');
            vc_remove_param('vc_tta_tour', 'spacing');
            vc_remove_param('vc_tta_tour', 'pagination_style');
            vc_remove_param('vc_tta_tour', 'pagination_color');
            //vc_remove_param('vc_tta_tour', 'css');
            //vc_remove_param('vc_tta_tour', 'controls_size');


            /* Google Maps Overrides ----------------------------------------------------- */
            vc_remove_param('vc_gmaps', 'link');
            vc_remove_param('vc_gmaps', 'size');
            vc_remove_param('vc_gmaps', 'el_class');
            vc_remove_param('vc_gmaps', 'css');

            vc_add_param("vc_gmaps", array(
                "type" => "textfield",
                "heading" => __("Google map latitude", 'samba'),
                "param_name" => "map_latitude",
                "admin_label" => true,
                "description" => __("", 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "textfield",
                "heading" => __("Google map longitude", 'samba'),
                "param_name" => "map_longitude",
                "admin_label" => true,
                "description" => __("", 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "dropdown",
                "heading" => __("Map Style", 'samba'),
                "param_name" => "map_style",
                "value" => array(
                    __("Default", 'samba') => "default",
                    __("Almost Gray", 'samba') => "almost_gray",
                    __("Subtle Grayscale", 'samba') => "subtle_grayscale",
                    __("Cobalt", 'samba') => "cobalt",
                    __("Midnight Commander", 'samba') => "midnight",
                    __("Old Timey", 'samba') => "old_timey",
                    __("Greenish", 'samba') => "green"),
                "description" => __("", 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "textfield",
                "heading" => __("Map height", 'samba'),
                "param_name" => "size",
                "description" => __('Enter map height in pixels. Example: 200.', 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "dropdown",
                "heading" => __("Map Zoom", 'samba'),
                "param_name" => "zoom",
                "value" => array(__("14 - Default", 'samba') => 14, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20)
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "attach_image",
                "heading" => __("Marker Image", 'samba'),
                "param_name" => "marker_image",
                "value" => "",
                "description" => __("Optional", 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "textfield",
                "heading" => __("Marker image latitude", 'samba'),
                "param_name" => "marker_image_lat",
                "description" => __("Optional", 'samba')
            ));
            vc_add_param("vc_gmaps", array(
                "type" => "textfield",
                "heading" => __("Marker image longitude", 'samba'),
                "param_name" => "marker_image_long",
                "description" => __("Optional", 'samba')
            ));
            vc_add_param("vc_gmaps", $add_el_class);

            /* Progress Bar Overrides ---------------------------------------------------------- */
            //vc_remove_param('vc_progress_bar', 'options');
            vc_remove_param('vc_progress_bar', 'el_class');

            /*vc_add_param("vc_progress_bar", array(
            "type" => "colorpicker",
            "heading" => __("Bar custom color", 'samba'),
            "param_name" => "custombgcolor",
            "description" => __("Select custom color for bars.", 'samba'),
            "dependency" => Array('element' => "bgcolor", 'value' => array('custom'))
            ));
            vc_add_param("vc_progress_bar", array(
            "type" => "colorpicker",
            "heading" => __("Bars custom background color", 'samba'),
            "param_name" => "custombgcolor_back",
            "description" => __("Select custom background color for bars - leave blank for theme default value", 'samba'),
            ));*/
            vc_add_param("vc_progress_bar", $add_el_class);
        }


        /* Extra Elements - Samba Theme ----------------------------------------------------- */
        $posts_terms=get_terms('category','hide_empty=0');
        $posts_terms_array=array();
        if (count($posts_terms)) {
            foreach ($posts_terms as $inner_term) {
                $posts_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $portfolio_terms=get_terms('pirenko_skills','hide_empty=0');
        $portfolio_terms_array=array();
        if (count($portfolio_terms)) {
            foreach ($portfolio_terms as $inner_term) {
                $portfolio_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $slides_terms=get_terms('pirenko_slide_set','hide_empty=0');
        $slides_terms_array=array();
        if (count($slides_terms)) {
            foreach ($slides_terms as $inner_term) {
                $slides_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $member_terms=get_terms('pirenko_member_group','hide_empty=0');
        $member_terms_array=array();
        if (count($member_terms)) {
            foreach ($member_terms as $inner_term) {
                $member_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $authors_terms=get_users();
        $authors_terms_array=array();
        if (count($authors_terms)) {
            foreach ($authors_terms as $inner_term) {
                $authors_terms_array[$inner_term->user_nicename] = $inner_term->ID;
            }
        }
        /*$testimonials_terms=get_terms('pirenko_testimonial_set','hide_empty=0');
        $testimonials_terms_array=array();
        if (count($testimonials_terms)) {
            foreach ($testimonials_terms as $inner_term) {
                $testimonials_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }*/

        /* Vertical Spacer ----------------------------------------------------- */
        function prkwp_spacer_func($atts) {
            extract( shortcode_atts(array(
                'size' => '',
                'el_class' => ''
            ),$atts));
            return do_shortcode('[pirenko_spacer size="'.$size.'" el_class="'.$el_class.'"][/pirenko_spacer]');
        }
        add_shortcode('prkwp_spacer','prkwp_spacer_func');

        vc_map(array(
            "name" => __("Vertical Spacer",'samba'),
            "base" => "prkwp_spacer",
            "class" => "samba_scodes_editor",
            "description" => __('Control vertical space between elements', 'samba'),
            "icon" => "icon-wpb-ui-empty_space",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Vertical size in pixels (use negative values to pull elements up)",'samba'),
                    "param_name" => "size",
                    "value" => "10",
                    "description" => "This element creates a vertical space between adjacent elements."
                ),
                $add_el_class,
            )
        ));

        /* Styled Title ----------------------------------------------------- */
        function prkwp_styled_title_func( $atts ) {
            extract( shortcode_atts( array(
                'prk_in' => '',
                'align' => '',
                'text_color' => '',
                'title_size' => '',
                'use_italic' => '',
                'show_lines' => '',
                'font_type' => '',
                'samba_show_line' => '',
                'underlined' => '',
                'css_animation' => '',
                'line_color' => '',
                'el_class' => ''
            ), $atts ) );

            return do_shortcode('[prk_styled_title align="'.strtolower($align).'" line_color="'.$line_color.'" text_color="'.$text_color.'" font_type="'.strtolower($font_type).'" underlined="'.strtolower($underlined).'" title_size="'.strtolower($title_size).'" samba_show_line="'.strtolower($samba_show_line).'" use_italic="'.strtolower($use_italic).'" css_animation="'.$css_animation.'" el_class="'.$el_class.'"]'.$prk_in.'[/prk_styled_title]');
        }
        add_shortcode('prkwp_styled_title','prkwp_styled_title_func');

        vc_map(array(
            "name" => __("Styled title",'samba'),
            "base" => "prkwp_styled_title",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-ui-custom_heading",
            "description" => __('Display theme like titles', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Text",'samba'),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Alignment", 'samba'),
                    "param_name" => "align",
                    "value" => array("Left","Center","Right"),
                    "description" => ""
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Color",'samba'),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme default headings color will be used",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Title size", 'samba'),
                    "param_name" => "title_size",
                    "value" => array("Large","Medium","Small"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Italic font style?", 'samba'),
                    "param_name" => "use_italic",
                    "value" => array("No","Yes"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show line under title?", 'samba'),
                    "param_name" => "samba_show_line",
                    "value" => array("Yes","No"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Zero margin after title?", 'samba'),
                    "param_name" => "unmargined",
                    "value" => array(__('No', 'samba') => "",__('Yes', 'samba') => "unmargined"),
                    "description" => __("This is usefull for single big headings.", 'samba')
                ),
                $add_css_animation,
                $add_el_class,
            )
        ));


        /* Blockquote ----------------------------------------------------- */
        function bquote_func( $atts ) {
            extract( shortcode_atts( array(
                'prk_in' => '',
                'author' => '',
                'after_author' => '',
                'type' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts ) );

            return do_shortcode("<div class='wpb_content_element'>[pirenko_blockquote author='{$author}' after_author='{$after_author}' type='{$type}' css_animation='{$css_animation}' el_class='{$el_class}']{$prk_in}[/pirenko_blockquote]</div>");
        }
        add_shortcode( 'bquote', 'bquote_func' );

        vc_map( array(
            "name" => __("Blockquote",'samba'),
            "base" => "bquote",
            "class" => "samba_scodes_editor",
            "icon" => "vc_icon-vc-gitem-post-title",
            "description" => __('Stylish quotes that stand out', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Author",'samba'),
                    "param_name" => "author",
                    "value" => __("",'samba'),
                    "description" => __("",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("After author text",'samba'),
                    "param_name" => "after_author",
                    "value" => __("",'samba'),
                    "description" => __("Optional",'samba')
                ),
                array(
                    "type" => "textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Content",'samba'),
                    "param_name" => "prk_in",
                    "value" => __("",'samba'),
                    "description" => __("",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Blockquote type", 'samba'),
                    "param_name" => "type",
                    "value" => array(
                        __('Plain', 'samba') => "plain",
                        __('Colored background', 'samba') => "colored_background"
                    ),
                    "description" => ""
                ),
                $add_css_animation,
                $add_el_class,
            )
        ));

        //TOGGLE
        vc_map( array(
            "name" => __("Toggle",'samba'),
            "base" => "prk_accordion",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-toggle-small-expand",
            "description" => __('jQuery UI accordion', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title",'samba'),
                    "param_name" => "title",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "class" => "messagebox_text",
                    "heading" => __("Toggle text", 'samba'),
                    "param_name" => "content",
                    "value" => __("<p>Toggle content goes here, click edit button to change this text.</p>", 'samba'),
                ),
            )
        ));


        //SERVICE
        function prkwp_service_func( $atts,$content=null ) {
            extract( shortcode_atts( array(
                'name' => '',
                'align' => '',
                'image' => '',
                'bk_color' => '',
                'link' => '',
                'serv_image' => '',
                'link_text' => '',
                'new_window' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts ) );
            if ($align=="center")
                $align="prk_service_center";
            else
                $align="prk_service_left";
            $image_attributes = wp_get_attachment_image_src( $serv_image,'full' );
            return do_shortcode('[prk_service name="'.$name.'" align="'.$align.'" image="'.$image.'" serv_image="'.$image_attributes[0].'" link="'.$link.'" bk_color="'.$bk_color.'" link_text="'.$link_text.'" css_animation="'.$css_animation.'" new_window="'.$new_window.'" el_class="'.$el_class.'"]'.$content.'[/prk_service]');
        }
        add_shortcode( 'prkwp_service', 'prkwp_service_func' );
        vc_map( array(
            "name" => __("Service",'samba'),
            "base" => "prkwp_service",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-call-to-action",
            "description" => __('Easy information blocks with images', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title",'samba'),
                    "param_name" => "name",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Alignment", 'samba'),
                    "param_name" => "align",
                    "value" => array(
                        __('Left', 'samba') => "left",
                        __('Center', 'samba') => "center"
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Background color",'samba'),
                    "param_name" => "bk_color",
                    "value" => "",
                    "description" => __("Optional",'samba')
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __("Service image", 'samba'),
                    "param_name" => "serv_image",
                    "value" => "",
                    "description" => __("Select image from media library. Has priority over icon class value below.", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon class",'samba'),
                    "param_name" => "image",
                    "value" => "",
                    "description" => __("Example: icon-video. For a complete list open the icons.png file inside the documentation folder.",'samba')
                ),
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "class" => "messagebox_text prkadmin_hide_now",
                    "heading" => __("Service text", 'samba'),
                    "param_name" => "content",
                    "value" => __("", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("URL link",'samba'),
                    "param_name" => "link",
                    "value" => "",
                    "description" => __("Optional",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("URL link text",'samba'),
                    "param_name" => "link_text",
                    "value" => "",
                    "description" => __("Leave blank for theme default Read More text.",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Open link in a new window?", 'samba'),
                    "param_name" => "new_window",
                    "value" => array("No","Yes"),
                    "description" => __("", 'samba','samba')
                ),
                $add_css_animation,
                $add_el_class,
            )
        ) );

        /* Theme Button ----------------------------------------------------- */
        function theme_button_func( $atts ) {
            extract( shortcode_atts( array(
                'prk_in' => '',
                'type' => '',
                'window' => '',
                'link' => '',
            ), $atts ) );
            if ($window=="Yes")
                $window="_blank";
            else
                $window="_self";

            return do_shortcode('[theme_button type="'.$type.'" link="'.$link.'" window="'.$window.'"]'.$prk_in.'[/theme_button]');
        }
        add_shortcode( 'prk_wp_theme_button', 'theme_button_func' );

        vc_map( array(
            "name" => __("Theme Button",'samba'),
            "base" => "prk_wp_theme_button",
            "class" => "samba_scodes_editor",
            "description" => __('Buttons with the theme default styling', 'samba'),
            "icon" => "icon-wpb-ui-button",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Button type", 'samba'),
                    "param_name" => "type",
                    "value" => array(
                        __('Large Theme Button', 'samba') => "theme_button large",
                        __('Medium Theme Button', 'samba') => "theme_button medium",
                        __('Small Theme Button', 'samba') => "theme_button small",
                        __('Tiny Theme Button', 'samba') => "theme_button tiny",
                        __('Large Theme Button - Inverted Colors', 'samba') => "theme_button_inverted large",
                        __('Medium Theme Button - Inverted Colors', 'samba') => "theme_button_inverted medium",
                        __('Small Theme Button - Inverted Colors', 'samba') => "theme_button_inverted small",
                        __('Tiny Theme Button - Inverted Colors', 'samba') => "theme_button_inverted tiny",
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button text",'samba'),
                    "param_name" => "prk_in",
                    "value" => __("",'samba'),
                    "description" => __("",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Link",'samba'),
                    "param_name" => "link",
                    "value" => __("",'samba'),
                    "description" => __("",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Open link in a new window?", 'samba'),
                    "param_name" => "window",
                    "value" => array("No","Yes"),
                    "description" => __("", 'samba','samba')
                ),
                $add_css_animation,
                $add_el_class,
            )
        ));

        /* Call to Action Button
        ---------------------------------------------------------- */
        vc_map( array(
            "name" => __("Call to Action Button", 'samba'),
            "base" => "vc_cta_button",
            "icon" => "icon-wpb-call-to-action",
            "description" => __('Call to action element', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textarea",
                    'admin_label' => true,
                    "heading" => __("Title", 'samba'),
                    "param_name" => "call_text",
                    "value" => __("Click edit button to change this text.", 'samba'),
                    "description" => __("Enter your content.", 'samba')
                ),
                array(
                    "type" => "textarea",
                    'admin_label' => true,
                    "heading" => __("Text", 'samba'),
                    "param_name" => "call_desc",
                    "value" => __("This is the call to action description. Click edit button to change this text.", 'samba'),
                    "description" => __("Optional", 'samba')
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Background color"),
                    "param_name" => "bk_color",
                    "value" => __(""),
                    "description" => __("Optional")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Text alignment", 'samba'),
                    "param_name" => "text_align",
                    "value" => array(__("Right", 'samba') => "text_right", __("Left", 'samba') => "text_left", __("Center", 'samba') => "text_center"),
                    "description" => __("Select general text alignment.", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Text on the button", 'samba'),
                    "param_name" => "title",
                    "value" => __("Text on the button", 'samba'),
                    "description" => __("Text on the button.", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("URL (Link)", 'samba'),
                    "param_name" => "href",
                    "description" => __("Button link.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Target", 'samba'),
                    "param_name" => "target",
                    "value" => $target_arr,
                    "dependency" => Array('element' => "href", 'not_empty' => true)
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Color", 'samba'),
                    "param_name" => "color",
                    "value" => $pirenko_colors_arr,
                    "description" => __("Button color.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Icon", 'samba'),
                    "param_name" => "icon",
                    "value" => $icons_arr,
                    "description" => __("Button icon (not available for theme buttons).", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Size", 'samba'),
                    "param_name" => "size",
                    "value" => $size_arr,
                    "description" => __("Button size.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Button position", 'samba'),
                    "param_name" => "position",
                    "value" => array(__("Right", 'samba') => "cta_align_right", __("Left", 'samba') => "cta_align_left", __("Bottom", 'samba') => "cta_align_bottom"),
                    "description" => __("Select button alignment.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Button horizontal alignment", 'samba'),
                    "param_name" => "button_align",
                    "value" => array(__("Right", 'samba') => "button_right", __("Left", 'samba') => "button_left", __("Center", 'samba') => "button_center"),
                    "description" => __("Select button alignment.", 'samba')
                ),
                $add_css_animation,
                $add_el_class,
            ),
            "js_view" => 'VcCallToActionView'
        ) );

        /* Image Gallery ----------------------------------------------------- */
        vc_map( array(
            "name" => __("Image Gallery", 'samba'),
            "base" => "vc_gallery",
            "icon" => "icon-wpb-images-stack",
            "description" => __('Multiple images from Media Library', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => __("Widget title", 'samba'),
                    "param_name" => "title",
                    "description" => __("What text use as a widget title. Leave blank if no title is needed.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Gallery type", 'samba'),
                    "param_name" => "type",
                    "value" => array(
                        __("Flex slider fade", 'samba') => "flexslider_fade",
                        __("Flex slider slide", 'samba') => "flexslider_slide",
                        __("Nivo slider", 'samba') => "nivo",
                        __("Image grid", 'samba') => "image_grid"),
                    "description" => __("Select gallery type.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Auto rotate slides", 'samba'),
                    "param_name" => "interval",
                    "value" => array(3, 5, 10, 15, __("Disable", 'samba') => 0),
                    "description" => __("Auto rotate slides each X seconds.", 'samba'),
                    "dependency" => Array('element' => "type", 'value' => array('flexslider_fade', 'flexslider_slide', 'nivo'))
                ),
                array(
                    "type" => "attach_images",
                    "heading" => __("Images", 'samba'),
                    "param_name" => "images",
                    "value" => "",
                    "description" => __("Select images from media library.", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Image size", 'samba'),
                    "param_name" => "img_size",
                    "description" => __("Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'thumbnail' size.", 'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("On click", 'samba'),
                    "param_name" => "onclick",
                    "value" => array(__("Open lightbox", 'samba') => "link_image", __("Do nothing", 'samba') => "link_no"),
                    "description" => __("What to do when image is clicked?", 'samba')
                ),
                array(
                    "type" => "exploded_textarea",
                    "heading" => __("Custom links", 'samba'),
                    "param_name" => "custom_links",
                    "description" => __('Enter links for each slide here. Divide links with linebreaks (Enter).', 'samba'),
                    "dependency" => Array('element' => "onclick", 'value' => array('custom_link'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Custom link target", 'samba'),
                    "param_name" => "custom_links_target",
                    "description" => __('Select where to open  custom links.', 'samba'),
                    "dependency" => Array('element' => "onclick", 'value' => array('custom_link')),
                    'value' => $target_arr
                ),
                $add_el_class,
            )
        ) );

        //THEME SLIDER
        vc_map( array(
            "name" => __("Theme slider",'samba'),
            "base" => "prk_slider",
            "class" => "samba_scodes_editor",
            "description" => __('Display theme slides using Flexslider', 'samba'),
            "icon" => "icon-wpb-slideshow",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Groups filter using slug(s) - comma separated ",'samba'),
                    "param_name" => "category",
                    "value" => "",
                    "description" => __("Optional - leave blank for all",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Autoplay slider?", 'samba'),
                    "param_name" => "autoplay",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Slider delay",'samba'),
                    "param_name" => "delay",
                    "value" => "",
                    "description" => __("In miliseconds - If blank the theme default value will be used",'samba')
                )
            )
        ) );

        vc_map( array(
            "name" => __("Theme Image Gallery", 'samba'),
            "description" => __('Multiple images from Media Library', 'samba'),
            "base" => "pirenko_gallery",
            "icon" => "icon-wpb-images-stack",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Gallery type", 'samba'),
                    "param_name" => "type",
                    "value" => array(__("Masonry", 'samba') => "masonry", __("Grid (rectangles)", 'samba') => "grid", __("Grid (squares)", 'samba') => "squares"),
                    "description" => __("Select grid type.", 'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Thumbnails margin",'samba'),
                    "param_name" => "thumbs_mg",
                    "value" => "",
                    "description" => __("Default value is 10",'samba')
                ),
                array(
                    "type" => "attach_images",
                    "heading" => __("Images", 'samba'),
                    "param_name" => "images",
                    "value" => "",
                    "description" => __("Select images from media library.", 'samba')
                ),
                $add_el_class,
            )
        ) );


        //CAROUSEL
        function prkwp_carousel_func( $atts ) {
            extract( shortcode_atts( array(
                'images' => '',
                'title' => '',
                'autoplay' => '',
            ), $atts ) );
            $images_output="";
            $arr=explode(",",$images);
            if (count($arr)>0) {
                foreach ($arr as $single) {
                    $image_attributes = wp_get_attachment_image_src( $single,'full' );
                    $images_output.='[prk_carousel_single path="'.$image_attributes[0].'"][/prk_carousel_single]';
                }
            }
            if ($autoplay=="") {
                $autoplay="false";
            }
            return do_shortcode('[prk_carousel title="'.$title.'" autoplay="'.$autoplay.'"]'.$images_output.'[/prk_carousel]');
        }
        add_shortcode( 'prkwp_carousel', 'prkwp_carousel_func' );
        vc_map( array(
            "name" => __("Images Carousel",'samba'),
            "base" => "prkwp_carousel",
            "description" => __('Animated carousel with images', 'samba'),
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-images-carousel",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title",'samba'),
                    "param_name" => "title",
                    "value" => __("",'samba'),
                    "description" => __("",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Autoplay slider?", 'samba'),
                    "param_name" => "autoplay",
                    "value" => array(
                        __('No', 'samba') => "false",
                        __('Yes', 'samba') => "true",
                    ),
                    "description" => "",
                ),
                array(
                    "type" => "attach_images",
                    "heading" => __("Images", 'samba'),
                    "param_name" => "images",
                    "value" => "",
                    "description" => __("Select images from media library.", 'samba')
                )
            )
        ));


        //PRICING TALBES
        function prkwp_price_table_func( $atts ) {
            extract( shortcode_atts( array(
                'prk_in' => '',
                'featured' => '',
                'header' => '',
                'color' => '',
                'price' => '',
                'under_price' => '',
                'button_label' => '',
                'button_link' => '',
            ), $atts ) );
            $lines_output="<ul>";
            $prk_tweaked = str_replace(", ", "prkwrdoff", $prk_in);
            $arr=explode(",",$prk_tweaked);
            if (count($arr)>0)
            {
                foreach ($arr as $single) {
                    $lines_output.='<li>'.str_replace("prkwrdoff", ", ",$single).'</li>';
                }
            }
            $lines_output.="</ul>";
            return do_shortcode('[prk_price_table header="'.$featured.'" featured="'.$header.'" color="'.$color.'" price="'.$price.'" under_price="'.$under_price.'" button_label="'.$button_label.'" button_link="'.$button_link.'"]'.$lines_output.'[/prk_price_table]');
        }
        add_shortcode( 'prkwp_price_table', 'prkwp_price_table_func' );

        vc_map( array(
            "name" => __("Pricing table",'samba'),
            "base" => "prkwp_price_table",
            "class" => "samba_scodes_editor",
            "icon" => "vc_icon-vc-gitem-post-date",
            "description" => __('Informational tables with multiple content fields', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title",'samba'),
                    "param_name" => "featured",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Header/featured text",'samba'),
                    "param_name" => "header",
                    "value" => "",
                    "description" => __("Optional - Will be displayed under the title",'samba')
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Color",'samba'),
                    "param_name" => "color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme active color will be used",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Price text",'samba'),
                    "param_name" => "price",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Under price text",'samba'),
                    "param_name" => "under_price",
                    "value" => "",
                    "description" => __("Example: per month",'samba')
                ),
                array(
                    "type" => "exploded_textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Description text",'samba'),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => __("Enter descriptions for this table here. Divide them with linebreaks (Enter).",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button text",'samba'),
                    "param_name" => "button_label",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button URL",'samba'),
                    "param_name" => "button_link",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed",'samba')
                )
            )
        ) );
        //LATEST POSTS
        vc_map( array(
            "name" => __("Latest Posts",'samba'),
            "base" => "pirenko_last_posts",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Show blog entries', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "checkbox",
                    "heading" => __("Category filter",'samba'),
                    "param_name" => "cat_filter",
                    "value" => $posts_terms_array,
                    "description" => __("Optional - leave blank for all",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Items number",'samba'),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => __("Optional - Default is three",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Rows number",'samba'),
                    "param_name" => "rows_number",
                    "value" => "3",
                    "description" => ""
                ),
                $add_css_animation,
                $add_el_class,
            )
        ) );

        //LATEST PORTFOLIO
        vc_map( array(
            "name" => __("Latest Portfolio",'samba'),
            "base" => "pirenko_last_portfolios",
            "class" => "samba_scodes_editor",
            "description" => __('Show portfolio entries', 'samba'),
            "icon" => "icon-wpb-atm",
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Block type?", 'samba'),
                    "param_name" => "layout_type_folio",
                    "value" => array(__("Grid", 'samba') => "grid", __("Masonry", 'samba') => "masonry", __("With titles", 'samba') => "titled",__("With titles and excerpt", 'samba') => "with_excerpt"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show skills information on each post?", 'samba'),
                    "param_name" => "samba_show_skills",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "checkbox",
                    "heading" => __("Skills filter",'samba'),
                    "param_name" => "cat_filter",
                    "value" => $portfolio_terms_array,
                    "description" => __("Optional - leave blank for all",'samba')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show filter above thumbnails?", 'samba'),
                    "param_name" => "show_filter",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Items number",'samba'),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => __("Optional - default value is 9",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Columns number",'samba'),
                    "param_name" => "cols_number",
                    "value" => "3",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Thumbnails margin",'samba'),
                    "param_name" => "thumbs_mg",
                    "value" => "",
                    "description" => __("Default value is 10",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("View portfolio button text",'samba'),
                    "param_name" => "button_label",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed",'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("View portfolio button URL",'samba'),
                    "param_name" => "button_url",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed",'samba')
                ),
                $add_css_animation,
                $add_el_class,
            )
        ) );
        //TEAM MEMBERS
        $stringer='Optional - leave blank for all';
        if (!count($member_terms_array)) {
            $stringer='There are no member teams to filter yet';
        }
        vc_map( array(
            "name" => __("Team members",'samba'),
            "base" => "prk_members",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Display team members info', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "checkbox",
                    "heading" => esc_html__("Team filter",'samba'),
                    "param_name" => "category",
                    "value" => $member_terms_array,
                    "description" => esc_html__($stringer,'samba')
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Number of members per column",'samba'),
                    "param_name" => "columns",
                    "value" => "3",
                    "description" => ""
                ),
                $add_css_animation,
                $add_el_class,
            )
        ) );

        //COMMENTS
        vc_map( array(
            "name" => __("Comments",'samba'),
            "base" => "pirenko_comments",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Display comments from users', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title",'samba'),
                    "param_name" => "title",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Number of comments",'samba'),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => ""
                ),
                $add_css_animation,
                $add_el_class,
            )
        ));

        //SITEMAP
        vc_map( array(
            "name" => __("Sitemap",'samba'),
            "base" => "prk_sitemap",
            "class" => "samba_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Complete sitemap with all post types', 'samba'),
            "category" => __('Theme: Special','samba'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Show Pages?", 'samba'),
                    "param_name" => "show_pages",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for Pages",'samba'),
                    "param_name" => "txt_pages",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show blog categories?", 'samba'),
                    "param_name" => "show_blog_cats",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for blog categories",'samba'),
                    "param_name" => "txt_blog_cats",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show blog posts?", 'samba'),
                    "param_name" => "show_posts",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for blog posts",'samba'),
                    "param_name" => "txt_posts",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show portfolio posts?", 'samba'),
                    "param_name" => "show_port_posts",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for portfolio posts",'samba'),
                    "param_name" => "txt_port_posts",
                    "value" => "",
                    "description" => ""
                ),
                $add_css_animation,
                $add_el_class,
            )
        ));

    }
}

