<?php

//CUSTOMIZE MENU BUTTON
function ocdi_plugin_page_setup( $default_settings ) {
    if (!samba_validate_key()) {
        $default_settings['parent_slug'] = '';
        $default_settings['menu_slug']   = 'not-really';
    }
    else {
        $default_settings['parent_slug'] = 'themes.php';
        $default_settings['page_title']  = esc_html__( '1-Click Demo Import' , 'pt-ocdi' );
        $default_settings['menu_title']  = esc_html__( '1-Click Demo Import' , 'pt-ocdi' );
        $default_settings['capability']  = 'import';
        $default_settings['menu_slug']   = 'pt-one-click-demo-import';
    }

    return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'ocdi_plugin_page_setup' );

function ocdi_plugin_intro_text( $default_text ) {
    $default_text .= '<div class="ocdi__intro-text"><div class="ocdi__intro-notice samba_notice notice notice-warning is-dismissible">
	<p>Before you begin, make sure all the required plugins are activated.<br />If you want to generate shop related content make sure that you install and activate <em>WooCommerce by Automattic</em>.<br />If you want to generate the Mailchimp form make sure that you install and activate <em>MailChimp for WordPress by ibericode</em>.</p>
	<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div></div>';

    return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'ocdi_plugin_intro_text' );



function ocdi_import_files() {
    return array(
        //DEMO
        array(
            'import_file_name'           => 'Main Demo',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/samba/import/main.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/samba/import/main.wie',
            'import_customizer_file_url' => '',
            /*'import_redux'               => array(
            array(
              'file_url'    => 'http://www.pirenko.com/theme_plugins/samba/import/pure-business.json',
              'option_name' => 'prk_samba_options',
            ),
            ),*/
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/main.jpg',
            'import_notice'              => __( '', 'samba' ),
            'preview_url'                => 'https://www.pirenko.com/samba/',
        ),


    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );


function samba_get_attachment_url_by_title( $title ) {
    $attachment = get_page_by_title($title, OBJECT, 'attachment');
    if ( $attachment ) {
        $attachment_url = $attachment->guid;
    }
    else {
        return '';
    }
    return $attachment_url;
}

//SET UP HOMEPAGE AND MENUS
function ocdi_after_import_setup() {

    //ASSIGN MENUS TO THEIR LOCATIONS.
    $main_menu = get_term_by( 'name', 'MainMenu', 'nav_menu' );
    //$mobile_menu = get_term_by( 'name', 'MainMenu', 'nav_menu' );

    set_theme_mod(
        'nav_menu_locations', array(
            'top_right_navigation' => $main_menu->term_id,
            //'prk_mobile_navigation' => $mobile_menu->term_id,
        )
    );

    //ASSIGN FRONT PAGE
    $front_page_id = get_page_by_title( 'Full Slider' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );

    //SET UP CUSTOM THEME META OPTIONS
    //POSTS
    $page_check=get_page_by_path('staying-original-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2ecc71',
            'bl_icon'=>'navicon-pen'
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('staying-original',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2ecc71',
            'bl_icon'=>'navicon-pen'
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('online-gaming-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#c0392b',
            'bl_icon'=>'navicon-rocket'
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('online-gaming',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#c0392b',
            'bl_icon'=>'navicon-rocket'
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('vimeo-post-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'bl_icon'=>'navicon-camera',
            'skip_featured'=>'1',
            'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('vimeo-post',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'bl_icon'=>'navicon-camera',
            'skip_featured'=>'1',
            'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('get-ready-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2980b9',
            'bl_icon'=>'navicon-lab',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('get-ready',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2980b9',
            'bl_icon'=>'navicon-lab',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('gallery-post-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#c94a6b',
            'bl_icon'=>'navicon-image-2',
            //'skip_featured'=>'1',
            'image_2'=>samba_get_attachment_url_by_title('paper-2'),
            'image_3'=>samba_get_attachment_url_by_title('paper-3'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('gallery-post',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#c94a6b',
            'bl_icon'=>'navicon-image-2',
            //'skip_featured'=>'1',
            'image_2'=>samba_get_attachment_url_by_title('paper-2'),
            'image_3'=>samba_get_attachment_url_by_title('paper-3'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('lost-in-translation-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#9b59b6',
            'bl_icon'=>'navicon-pushpin',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('lost-in-translation',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#9b59b6',
            'bl_icon'=>'navicon-pushpin',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('audio-post-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d35400',
            'bl_icon'=>'navicon-music',
            'skip_featured'=>'1',
            'image_2'=>'<iframe width="100%" height="166" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=http%3A%2F%2Fapi.soundcloud.com%2Ftracks%2F58223409"></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('audio-post',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d35400',
            'bl_icon'=>'navicon-music',
            'skip_featured'=>'1',
            'image_2'=>'<iframe width="100%" height="166" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=http%3A%2F%2Fapi.soundcloud.com%2Ftracks%2F58223409"></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('web-research-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#1abc9c',
            'bl_icon'=>'navicon-link',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('web-research',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#1abc9c',
            'bl_icon'=>'navicon-link',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('youtube-post-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#98a3a3',
            'bl_icon'=>'navicon-camera',
            'skip_featured'=>'1',
            'image_2'=>'<iframe width="1280" height="720" src="http://www.youtube.com/embed/Q9Phn1yQT8U?html5=1&vq=hd720" frameborder="0" allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('youtube-post',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#98a3a3',
            'bl_icon'=>'navicon-camera',
            'skip_featured'=>'1',
            'image_2'=>'<iframe width="1280" height="720" src="http://www.youtube.com/embed/Q9Phn1yQT8U?html5=1&vq=hd720" frameborder="0" allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('keep-moving-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'bl_icon'=>'navicon-stats',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('keep-moving',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'bl_icon'=>'navicon-stats',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('post-without-image-2',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#27ae60',
            'bl_icon'=>'navicon-pushpin',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check=get_page_by_path('post-without-image',OBJECT,'post');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#27ae60',
            'bl_icon'=>'navicon-pushpin',
            //'skip_featured'=>'1',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }





    //PAGES
    $page_check=get_page_by_path('about-us',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_show_title'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_featured_slide'=>'yes',
            'alchemy_revslider'=>'ola-sl',
            'alchemy_full_slide'=>'yes',
            'alchemy_full_delay'=>'8500',
            'helper_fk'=>'weirdostf',
            'about-us'=>'about-us',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_path('blogger-feed',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_show_title'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_featured_slide'=>'yes',
            'alchemy_revslider'=>'ola-sl',
            'alchemy_full_slide'=>'yes',
            'alchemy_full_delay'=>'6500',
            'helper_fk'=>'weirdostf',
            'corporate'=>'corporate',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_path('carousel-portfolio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_acc_look'=>'samba_opener',
            'alchemy_show_skills'=>'yes',
            'helper_fk'=>'weirdostf',
            'card-design-2'=>'card-design-2',
            'design-2'=>'design-2',
            'digital-2'=>'digital-2',
            'identity-2'=>'identity-2',
            'packaging-2'=>'packaging-2',
            'photography-2'=>'photography-2',
            'publishing-2'=>'publishing-2',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('classic-blog',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_show_sidebar'=>'default',
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'helper_fk'=>'weirdostf',
            'business'=>'business',
            'education'=>'education',
            'innovation'=>'innovation',
            'trending'=>'trending',
            'web'=>'web',
        );
        update_post_meta($page_check->ID, "_custom_meta_blog_template", $custom_meta);
    }

    $page_check=get_page_by_path('contact-us',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
        );
        update_post_meta($page_check->ID, "_custom_meta_contact-page_template", $custom_meta);
    }

    $page_check=get_page_by_path('corporate-style',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_show_title'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_featured_slide'=>'yes',
            'alchemy_revslider'=>'ola-sl',
            'alchemy_full_slide'=>'yes',
            'alchemy_full_delay'=>'6500',
            'helper_fk'=>'weirdostf',
            'corporate'=>'corporate',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_title('Full Slider',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_autoplay'=>'yes',
            'alchemy_full_delay'=>'6500',
            'helper_fk'=>'weirdostf',
            'homepage'=>'homepage',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_path('grid-blog',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_show_sidebar'=>'no',
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_th_margin'=>'20',
            'helper_fk'=>'weirdostf',
            'business-grid'=>'business-grid',
            'education-grid'=>'education-grid',
            'innovation-grid'=>'innovation-grid',
            'trending-grid'=>'trending-grid',
            'web-grid'=>'web-grid',
        );
        update_post_meta($page_check->ID, "_custom_meta_blog_template", $custom_meta);
    }

    $page_check=get_page_by_path('grid-portfolio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_header_align'=>'head_left',
            'alchemy_posts_nr'=>'9',
            'alchemy_show_filter'=>'yes',
            'alchemy_show_skills'=>'yes',
            'mini_sliders'=>'yes',
            'alchemy_th_margin'=>'20',
            'helper_fk'=>'weirdostf',
            'branding'=>'branding',
            'card-design'=>'card-design',
            'identity'=>'identity',
            'packaging'=>'packaging',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('masonry-portfolio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_header_align'=>'head_left',
            'alchemy_posts_nr'=>'9',
            //'alchemy_show_filter'=>'yes',
            'alchemy_show_skills'=>'yes',
            'alchemy_lbox'=>'yes',
            'alchemy_th_margin'=>'10',
            'helper_fk'=>'weirdostf',
            'fashion'=>'fashion',
            'magazine'=>'magazine',
            'people'=>'people',
            'personal'=>'personal',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('shortcodes',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'alchemy_show_title'=>'yes',
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_featured_slide'=>'no',
            'alchemy_revslider'=>'ola-sl',
            //'alchemy_full_slide'=>'yes',
            //'alchemy_full_delay'=>'6500',
            'helper_fk'=>'weirdostf',
            //'corporate'=>'corporate',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_path('shortcodes-ii',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'alchemy_show_title'=>'yes',
            'alchemy_show_sidebar'=>'no',
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_featured_slide'=>'no',
            'alchemy_revslider'=>'ola-sl',
            //'alchemy_full_slide'=>'yes',
            //'alchemy_full_delay'=>'6500',
            'helper_fk'=>'weirdostf',
            //'corporate'=>'corporate',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }

    $page_check=get_page_by_path('titled-portfolio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_posts_nr'=>'9',
            'alchemy_cols_number'=>'3',
            //'alchemy_show_filter'=>'yes',
            'alchemy_show_skills'=>'yes',
            //'alchemy_lbox'=>'yes',
            'alchemy_show_excerpt'=>'yes',
            'alchemy_th_margin'=>'20',
            'helper_fk'=>'weirdostf',
            //'fashion'=>'fashion',
            //'magazine'=>'magazine',
            //'people'=>'people',
            //'personal'=>'personal',
            'design'=>'design',
            'digital'=>'digital',
            'photography'=>'photography',
            'publishing'=>'publishing',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('video-portfolio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'alchemy_hide_line'=>'yes',
            'alchemy_posts_display'=>'full',
            //'alchemy_header_align'=>'head_left',
            'alchemy_posts_nr'=>'12',
            'alchemy_cols_number'=>'3',
            //'alchemy_show_filter'=>'yes',
            //'alchemy_show_skills'=>'yes',
            //'alchemy_lbox'=>'yes',
            //'alchemy_show_excerpt'=>'yes',
            'alchemy_th_margin'=>'1',
            'helper_fk'=>'weirdostf',
            //'fashion'=>'fashion',
            //'magazine'=>'magazine',
            //'people'=>'people',
            //'personal'=>'personal',
            //'design'=>'design',
            //'digital'=>'digital',
            //'photography'=>'photography',
            //'publishing'=>'publishing',
            'video'=>'video',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('video-folio',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'alchemy_hide_line'=>'yes',
            'alchemy_header_align'=>'head_left',
            'alchemy_posts_display'=>'full',
            'alchemy_posts_nr'=>'12',
            'alchemy_cols_number'=>'3',
            //'alchemy_show_filter'=>'yes',
            //'alchemy_show_skills'=>'yes',
            //'alchemy_lbox'=>'yes',
            //'alchemy_show_excerpt'=>'yes',
            'alchemy_th_margin'=>'1',
            'helper_fk'=>'weirdostf',
            //'fashion'=>'fashion',
            //'magazine'=>'magazine',
            //'people'=>'people',
            //'personal'=>'personal',
            //'design'=>'design',
            //'digital'=>'digital',
            //'photography'=>'photography',
            //'publishing'=>'publishing',
            'video'=>'video',
        );
        update_post_meta($page_check->ID, "_custom_meta_portfolio_template", $custom_meta);
    }

    $page_check=get_page_by_path('video-showreel',OBJECT,'page');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'helper_fk'=>'weirdostf',
            'showreel'=>'showreel',
        );
        update_post_meta($page_check->ID, "_custom_meta_theme_page", $custom_meta);
    }






    //SLIDES
    $page_check = get_page_by_path('video-reel', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'medium',
            'pirenko_sh_slide_txt_horz'=>'left',
            'pirenko_sh_slide_txt_vert'=>'top',
            'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_wdw'=>'_self',
            //'ext_url'=>'http://www.google.com',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('we-are-samba-2', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'medium',
            'pirenko_sh_slide_txt_horz'=>'left',
            'pirenko_sh_slide_txt_vert'=>'bottom',
            'pirenko_sh_slide_header_color'=>'#00b6ca',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_wdw'=>'_self',
            //'ext_url'=>'http://www.google.com',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('we-are-samba', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'medium',
            'pirenko_sh_slide_txt_horz'=>'left',
            'pirenko_sh_slide_txt_vert'=>'bottom',
            'pirenko_sh_slide_header_color'=>'#2085d6',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_wdw'=>'_self',
            //'ext_url'=>'http://www.google.com',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('creative-ideas', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'medium',
            'pirenko_sh_slide_txt_horz'=>'center',
            'pirenko_sh_slide_txt_vert'=>'v_center',
            'pirenko_sh_slide_header_color'=>'#00b6ca',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_wdw'=>'_self',
            'pirenko_sh_slide_button_label'=>'View Portfolio →',
            'pirenko_sh_slide_url'=>'#',
            //'ext_url'=>'http://www.google.com',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('welcome-to-samba', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'big',
            'pirenko_sh_slide_txt_horz'=>'left',
            'pirenko_sh_slide_txt_vert'=>'bottom',
            'pirenko_sh_slide_header_color'=>'#e9b800',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.85)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.85)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_wdw'=>'_self',
            //'pirenko_sh_slide_button_label'=>'View Portfolio →',
            //'pirenko_sh_slide_url'=>'#',
            //'ext_url'=>'http://www.google.com',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('designed-for-greatness', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'big',
            'pirenko_sh_slide_txt_horz'=>'right',
            'pirenko_sh_slide_txt_vert'=>'top',
            'pirenko_sh_slide_header_color'=>'#3498db',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.75)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.75)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_button_label'=>'Get Samba Theme →',
            'pirenko_sh_slide_url'=>'#',
            'pirenko_sh_slide_wdw'=>'_blank',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('shiny-content', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'big',
            'pirenko_sh_slide_txt_horz'=>'right',
            'pirenko_sh_slide_txt_vert'=>'bottom',
            'pirenko_sh_slide_header_color'=>'#e74c3c',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_button_label'=>'View Portfolio →',
            'pirenko_sh_slide_url'=>'#',
            'pirenko_sh_slide_wdw'=>'_self',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('we-love-big-ideas', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'medium',
            'pirenko_sh_slide_txt_horz'=>'center',
            'pirenko_sh_slide_txt_vert'=>'v_center',
            'pirenko_sh_slide_header_color'=>'#2085d6',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_button_label'=>'View Portfolio →',
            'pirenko_sh_slide_url'=>'#',
            'pirenko_sh_slide_wdw'=>'_self',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('easy-management', '', 'pirenko_slides');
    if(isset($page_check->ID)){
        $custom_meta=array(
            //'pirenko_sh_slide_txt'=>'yes',
            'pirenko_sh_slide_txt_size'=>'big',
            'pirenko_sh_slide_txt_horz'=>'center',
            'pirenko_sh_slide_txt_vert'=>'v_center',
            'pirenko_sh_slide_header_color'=>'#218958',
            'pirenko_sh_slide_header_bk_color'=>'rgba(0,0,0,0.9)',
            'pirenko_sh_slide_body_color'=>'#FFFFFF',
            'pirenko_sh_slide_body_bk_color'=>'rgba(0,0,0,0.9)',
            //'pirenko_sh_video'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'pirenko_sh_slide_show_button'=>'yes',
            'pirenko_sh_slide_button_label'=>'View Blog →',
            'pirenko_sh_slide_url'=>'#',
            'pirenko_sh_slide_wdw'=>'_self',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }





    //PORTFOLIO ITEMS
    $page_check = get_page_by_path('golden-silence-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#4e8069',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('animup-wide-1'),
            'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('video-post', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d24c84',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('shocking-venus-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#42a5a1',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('talita-wide-1'),
            'image_3'=>samba_get_attachment_url_by_title('talita-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('knock-knock-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#925d2c',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('cerveja-wide-2'),
            'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('wild-guns-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#b32d3a',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('swift-moves-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#a18370',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('fairy-tales-3', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d6c500',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('hand-shaker-2', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f7e82d',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('soul_2-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('vertical', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#ed0eed',
            //'skip_featured'=>'1',
            'inner_layout'=>'half',
            //'client_url'=>'Custom Project',
            //'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('soul_2-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('hold-tight', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#e74c3c',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/74013667?byline=0&amp;portrait=0&amp;badge=0&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('darkness-falls', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#16a085',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/75188030?title=0&amp;byline=0&amp;portrait=0&amp;color=16a085&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('old-school', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#34495e',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/75962134?title=0&amp;byline=0&amp;portrait=0&amp;badge=0&amp;color=34495e&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('try-harder', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2980b9',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=2980b9&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('game-changer', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#e67e22',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/76320930?title=0&amp;byline=0&amp;portrait=0&amp;color=e67e22&amp;autoplay=1" width="1220" height="520" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('cool-moves', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#7f8c8d',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=7f8c8d&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('special-effects', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#9b59b6',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/74013667?byline=0&amp;portrait=0&amp;badge=0&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('the-forest', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#e74c3c',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/75188030?title=0&amp;byline=0&amp;portrait=0&amp;color=e74c3c&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('jump-for-joy', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2980b9',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/75962134?title=0&amp;byline=0&amp;portrait=0&amp;badge=0&amp;color=2980b9&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('happy-days', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/73135695?title=0&amp;byline=0&amp;portrait=0&amp;color=f1c40f&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('another-view', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#7f8c8d',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/76320930?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="520" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('skaters-life', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2ecc71',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff&amp;autoplay=1" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('mixed-post', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f3ff52',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            'image_3'=>samba_get_attachment_url_by_title('doubts-wide'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('fridays-set', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#8c764f',
            //'skip_featured'=>'1',
            //'inner_layout'=>'wide',
            //'client_url'=>'Custom Project',
            //'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('doubts-wide'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('fridays-set', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#8c764f',
            //'skip_featured'=>'1',
            //'inner_layout'=>'wide',
            //'client_url'=>'Custom Project',
            //'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('doubts-wide'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('black-label', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#8c764f',
            //'skip_featured'=>'1',
            //'inner_layout'=>'wide',
            //'client_url'=>'Custom Project',
            //'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('doubts-wide'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('atomic-soda', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#7f8c8d',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('marc-wide-1'),
            'image_3'=>samba_get_attachment_url_by_title('marc-wide'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('hand-shaker', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f7e82d',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('soul_2-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('golden-silence', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#4e8069',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('animup-wide-1'),
            'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('jungle-bill', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#524e45',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('hair-1'),
            //'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('jungle-bill', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#524e45',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('hair-1'),
            //'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('hold-on', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d24c84',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('animup-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('wild-guns', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#b32d3a',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('say-something', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#465787',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('alfa-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('shocking-venus', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#42a5a1',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('talita-wide-1'),
            'image_3'=>samba_get_attachment_url_by_title('talita-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('other-vision', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#1abc9c',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('wall-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('talita-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('knock-knock', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#925d2c',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('cerveja-wide-2'),
            'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('dancing-pink', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#522d39',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('hanina_stat-wide'),
            'image_3'=>samba_get_attachment_url_by_title('hanina_stat-wide-2'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('yellow-faith', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#f1c40f',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('cerveja-2'),
            'image_3'=>samba_get_attachment_url_by_title('cerveja-4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('affection', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#1Aadcb',
            'skip_featured'=>'1',
            'inner_layout'=>'default',
            //'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>'<iframe src="//player.vimeo.com/video/70323400?title=0&amp;byline=0&amp;portrait=0&amp;color=1Aadcb" width="1220" height="686" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('satin-feel', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d1707e',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            //'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('petit_1'),
            'image_3'=>samba_get_attachment_url_by_title('petit_4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('enjoy-purity', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d1707e',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            //'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('petit_1'),
            //'image_3'=>samba_get_attachment_url_by_title('petit_4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('summer-breeze', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#50805D',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            //'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('animup3'),
            //'image_3'=>samba_get_attachment_url_by_title('petit_4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('red-soul', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#cc3842',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            //'no_slider'=>'1',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('animup3'),
            //'image_3'=>samba_get_attachment_url_by_title('petit_4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('swift-moves', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#a18370',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('fairy-tales', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#d6c500',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('cups'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('good-start', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#eb6247',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('kj_5'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('ocean-end', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#00ccff',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('kj_5'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('high-altitude', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#2e7dae',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('sky-3'),
            'image_3'=>samba_get_attachment_url_by_title('sky-4'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('wired-journey', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#CF0D74',
            //'skip_featured'=>'1',
            'inner_layout'=>'default',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            //'image_2'=>samba_get_attachment_url_by_title('kj_5'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }

    $page_check = get_page_by_path('century-soldier', '', 'pirenko_portfolios');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#665342',
            'skip_featured'=>'1',
            'inner_layout'=>'wide',
            'client_url'=>'Custom Project',
            'ext_url'=>'https://themeforest.net/user/pirenko?ref=Pirenko',
            'image_2'=>samba_get_attachment_url_by_title('doubts-wide'),
            //'image_3'=>samba_get_attachment_url_by_title('cerveja-wide-1'),
        );
        update_post_meta($page_check->ID, "_custom_meta", $custom_meta);
    }






    //TEAM MEMBERS
    $page_check = get_page_by_path('emma-miller', '', 'pirenko_team_member');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#e74c3c',
            'member_job'=>'Photographer',
            'member_email'=>'member@samba.com',
            'alchemy_show_member_link'=>'yes',
            'alchemy_show_member_image'=>'yes',
            'image_2'=>samba_get_attachment_url_by_title('member-1'),
            'member_social_1'=>'facebook-2',
            'member_social_1_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_2'=>'vimeo2',
            'member_social_2_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_3'=>'flickr-2',
            'member_social_3_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_4'=>'none',
            'member_social_5'=>'none',
            'member_social_6'=>'none',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('alice-carell', '', 'pirenko_team_member');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#e67e22',
            'member_job'=>'Graphic Designer',
            'member_email'=>'member@samba.com',
            'alchemy_show_member_link'=>'yes',
            'alchemy_show_member_image'=>'yes',
            'image_2'=>samba_get_attachment_url_by_title('return'),
            'member_social_1'=>'facebook-2',
            'member_social_1_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_2'=>'deviantart',
            'member_social_2_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_3'=>'vimeo2',
            'member_social_3_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_4'=>'none',
            'member_social_5'=>'none',
            'member_social_6'=>'none',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('jett-carpenter', '', 'pirenko_team_member');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#3498db',
            'member_job'=>'Web Designer',
            'member_email'=>'member@samba.com',
            'alchemy_show_member_link'=>'yes',
            'alchemy_show_member_image'=>'yes',
            'image_2'=>samba_get_attachment_url_by_title('male-large-3'),
            'member_social_1'=>'linkedin',
            'member_social_1_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_2'=>'twitter-2',
            'member_social_2_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_3'=>'facebook-2',
            'member_social_3_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_4'=>'none',
            'member_social_5'=>'none',
            'member_social_6'=>'none',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }

    $page_check = get_page_by_path('anita-folk', '', 'pirenko_team_member');
    if(isset($page_check->ID)){
        $custom_meta=array(
            'featured_color'=>'#1abc9c',
            'member_job'=>'Video Editor',
            'member_email'=>'member@samba.com',
            'alchemy_show_member_link'=>'yes',
            'alchemy_show_member_image'=>'yes',
            'image_2'=>samba_get_attachment_url_by_title('girl_video'),
            'member_social_1'=>'twitter-2',
            'member_social_1_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_2'=>'facebook-2',
            'member_social_2_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_3'=>'flickr-2',
            'member_social_3_link'=>'http://themeforest.net/user/Pirenko/portfolio?ref=Pirenko',
            'member_social_4'=>'none',
            'member_social_5'=>'none',
            'member_social_6'=>'none',
        );
        update_post_meta($page_check->ID, "_custom_meta_slides", $custom_meta);
    }





}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );



//DISABLE GETTING THUMBNAILS AND OTHER SIZES DURING IMPORT
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );

//DISABLE BRANDING
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

//DISABLE POPUP WITH MODAL WINDOW
//add_filter( 'pt-ocdi/enable_grid_layout_import_popup_confirmation', '__return_false' );










