<?php
/*
Plugin Name: Samba Framework
Plugin URI: https://themeforest.net/user/Pirenko/portfolio
Description: Plugin that creates custom post types and shortcodes to work with Samba WordPress Theme
Version: 7.0
Author: Pirenko
Author URI: https://www.pirenko.com
License: GPLv2
*/

if( !defined('PLUGIN_PATH') ) {
	define( 'PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}

if( !defined('PLUGIN_URL') ) {
    define( 'PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

define('SAMBA_PLUGIN_ID','5691055');


include_once PLUGIN_PATH.'/shortcodes.php' ;
include_once PLUGIN_PATH.'/custom_post_types.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-twitter/pirenko-twitter.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-social-links/social.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-vcard/vcard.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-advertising/pirenko-ads.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-tags/tags.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-recent_posts/posts.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-tags_portfolio/tags.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/pirenko-video/pirenko-video.php';
include_once PLUGIN_PATH.'/inc/theme_widgets/decent-comments/decent-comments.php';
include_once PLUGIN_PATH.'/inc/modules/mobile_detect.php';
include_once PLUGIN_PATH.'/inc/modules/vt_resize.php';
include_once PLUGIN_PATH.'/inc/extra-sidebars.php';
include_once PLUGIN_PATH.'/inc/core.php';

define('SAMBA_PLUGIN_URL', plugin_dir_url( __FILE__ ));

include_once( ABSPATH.'wp-admin/includes/plugin.php' );
if (is_plugin_active('js_composer/js_composer.php') || is_plugin_active('js_composer-4111/js_composer.php') || is_plugin_active('js_composer-492/js_composer.php')) {
	include_once PLUGIN_PATH.'/inc/builder.php';
}
//CHECK IF SAMBA THEME IS ACTIVE
if (function_exists('wp_get_theme')) {
	$active_theme = wp_get_theme();
}
else {
	$active_theme->name="old_wp_version";
	$active_theme->Version="1";
}
if ('Samba' == $active_theme->name || 'Samba' == $active_theme->parent_theme || "old_wp_version" == $active_theme->name) {
    include_once PLUGIN_PATH .'/inc/modules/wpalchemy/metaboxes/setup.php';
}
else  {
	//THEME IS NOT ACTIVE. LET'S ADD SOME ELEMENTS
	//ADD METABOXES SUPPORT
	include_once PLUGIN_PATH .'/inc/modules/wpalchemy/metaboxes/setup.php';
	//ADD METABOXES FOR SPECIAL ELEMENTS
	include_once PLUGIN_PATH .'/inc/modules/wpalchemy/metaboxes/portfolio-spec.php';
	include_once PLUGIN_PATH .'/inc/modules/wpalchemy/metaboxes/slides-spec.php';
	include_once PLUGIN_PATH .'/inc/modules/wpalchemy/metaboxes/members-spec.php';
	add_action('admin_print_scripts', 'samba_framework_admin_scripts');
}



//ADD CUSTOM SCRIPTS FOR THE BACKEND
function samba_framework_admin_scripts() {
	global $active_theme;
	wp_register_style( 'samba_framework_admin_css', SAMBA_PLUGIN_URL . 'css/admin.css',false,$active_theme->Version );
	wp_enqueue_style('samba_framework_admin_css');
}

//VALIDATE FUNCTIONS
function samba_widget_scripts($hook) {
    if( 'appearance_page_theme_activation_options' != $hook ) {
        return;
    }
    $active_theme = wp_get_theme();
    wp_enqueue_script( 'pirenko-widget-script', plugins_url( 'js/main.js', __FILE__ ), array('jquery'),$active_theme->Version );
    wp_localize_script( 'pirenko-widget-script', 'ajax_object', array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
}
add_action( 'admin_enqueue_scripts', 'samba_widget_scripts' );

if (!function_exists('samba_validate_key')) {
    function samba_validate_key() {
        if (get_option('samba_prk_one')=="") {
          add_option( 'samba_prk_one', 'off', '', 'yes' );
        }
        if (get_option('samba_prk_one')=='off') {
            return false;
        }
        else {
            return true;
        }
    }
}

//ADD ASYNC ATTRIBUTE
function samba_async_attribute($tag, $handle) {
    $scripts_to_async=array('samba_main','comment-reply');
    foreach($scripts_to_async as $async_script) {
        if ($async_script === $handle) {
            return str_replace(' src', ' async="async" src', $tag);
        }
    }
    return $tag;
}
add_filter('script_loader_tag', 'samba_async_attribute', 10, 2);

if (!function_exists('samba_output')) {
    function samba_output() {
        return;
    }
}

if (!function_exists('samba_retiner')) {
    function samba_retiner($samba_test_flag) {
        global $retina_device;
        if ($samba_test_flag==true) {
            $samba_detect=new Mobile_Detect;
            if ($samba_detect->isMobile()) {
                $retina_device='prk_retina';
            }
            else {
                $retina_device=false;
            }
        }
        return $retina_device;
    }
}

//ENQUEUE THE THEME TWEAKED JS AND CSS FILES
function samba_vc_scripts() {
    global $prk_samba_frontend_options;
    if (!isset($prk_samba_frontend_options['samba_light_vc'])) {
        $prk_samba_frontend_options['samba_light_vc']="yes";
    }
    if (!isset($prk_samba_frontend_options['samba_light_vc'])) {
        $prk_samba_frontend_options['samba_light_vc']="yes";
    }
    if ( defined('WPB_VC_VERSION') && $prk_samba_frontend_options['samba_light_vc']=="yes" && !isset($_GET['vc_post_id'])) {
        wp_deregister_style('js_composer_custom_css');
        wp_deregister_style('js_composer_front');
        wp_deregister_style('flexslider');
        wp_deregister_style('prettyphoto');
        wp_deregister_style('font-awesome');

        wp_deregister_script('nivo-slider');
        wp_deregister_script('isotope');
        wp_deregister_script('waypoints');
        wp_deregister_script('vc_accordion_script');
        wp_deregister_script('vc_tabs_script');
        wp_deregister_script('vc_tta_autoplay_script');
        wp_deregister_script('wpb_composer_front_js');
        wp_deregister_script('jquery_ui_tabs_rotate');

        wp_register_script('wpb_composer_front_js',get_template_directory_uri().'/js/js_composer_front-min.js', array('jquery'), WPB_VC_VERSION, true );
        wp_enqueue_script('wpb_composer_front_js');
    }
}
add_action('wp_enqueue_scripts', 'samba_vc_scripts', 10);//WAS 100

//SEND EMAIL FUNCTION
add_action('wp_ajax_mail_before_submit', 'prk_mail_before_submit');
add_action('wp_ajax_nopriv_mail_before_submit', 'prk_mail_before_submit');

if (!function_exists('prk_mail_before_submit')) {
    function prk_mail_before_submit(){
        if (isset($_POST['action']) && $_POST['action']=="mail_before_submit") {
            check_ajax_referer('ajax-nonce');
            $params = array();
            parse_str($_POST['email_wrap'], $params);
            $name = $params['c_name'];
            $mail = $params['c_email'];
            $admin_mail = $params['rec_email'];
            $msg = $params['c_message'];
            $subject = $params['full_subject'];

            $headers='MIME-Version: 1.0' . "\r\n";
            $headers.='Content-type: text/html; charset=utf-8' . "\r\n";
            $headers.='From: '.$name.' <'.$mail.'>' ."\r\n";
            $headers.='Reply-To: ' . $mail . "\r\n";
            //$headers.='CC: ' . $mail ."\r\n";
            $headers.='X-Mailer: PHP/' . phpversion();

            $message="You've received a new message. <br><br>";
            $message.="Name: ".$name."<br>";
            $message.="Mail: ".$mail."<br>";
            $message.="Message: ".$msg."<br>";

            $mail_result = wp_mail($admin_mail,$subject,$message,$headers);
            if($mail_result)
            {
                echo "sent";
            }
            else
            {
                echo "Email failure. Please try again.";
            }
        }
    }
}



?>